org.modeshape.jcr

## Class BackupService.Activity

- java.lang.Object
- - org.modeshape.jcr.BackupService.Activity

- Direct Known Subclasses:
    BackupService.BackupActivity, BackupService.RestoreActivity
  Enclosing class:
    BackupService

      @NotThreadSafe
      public abstract static class BackupService.Activity
      extends Object

  An abstract activity used for the various backup and restore operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected File` | `backupDirectory`
    `protected File` | `binaryDirectory`
    `protected BinaryStore` | `binaryStore`
    `protected File` | `changeDirectory`
    `protected LocalDocumentStore` | `documentStore`
    `protected SimpleProblems` | `problems`
    `protected RepositoryCache` | `repositoryCache`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BackupService.Activity(File backupDirectory, LocalDocumentStore documentStore, BinaryStore binaryStore, RepositoryCache repositoryCache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `backupLocation()`
    `abstract Problems` | `execute()` Execute the activity, using the repository state as it currently exists.
    `protected String` | `repositoryName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repositoryCache

          protected final RepositoryCache repositoryCache

    - #### backupDirectory

          protected final File backupDirectory

    - #### changeDirectory

          protected final File changeDirectory

    - #### binaryDirectory

          protected final File binaryDirectory

    - #### documentStore

          protected final LocalDocumentStore documentStore

    - #### binaryStore

          protected final BinaryStore binaryStore

    - #### problems

          protected final SimpleProblems problems

  - ### Constructor Detail

    - #### BackupService.Activity

          protected BackupService.Activity(File backupDirectory,
                                LocalDocumentStore documentStore,
                                BinaryStore binaryStore,
                                RepositoryCache repositoryCache)

  - ### Method Detail

    - #### execute

          public abstract Problems execute()

      Execute the activity, using the repository state as it currently exists.
      Returns:
        the problems describing any issues or exceptions that occur during the activity's execution; never null

    - #### repositoryName

          protected final String repositoryName()

    - #### backupLocation

          protected final String backupLocation()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.